Error: Multilib version problems found

While running eayapache, the process get stopped with some yum error. On checking the issue in detail, I got the following error fro yum

————
Error: Multilib version problems found.
Protected multilib versions: ++-4.4.7-4.el6.x86_64 != libstdc++-4.4.7-3.el6.i686
————

The reason was there is two libstdc++ installed in the server.

rpm -qa libstdc++
libstdc++-4.4.7-3.el6.i686
libstdc++-4.4.7-3.el6.x86_64

It was a 64bit server, so I have removed the 32 bit rpm

rpm -e libstdc++-4.4.7-3.el6.i686

You can do the same if you face issue with  other rpm’s also

Yum: Cannot find a valid baseurl

yum upgrade
Setting up Upgrade Process
Setting up repositories
Cannot find a valid baseurl for repo: extras
Error: Cannot find a valid baseurl for repo: extras

Solutions
=========
1, Check whether you are able to ping to any global site like google.com
If not, please check the gateway and also the entries in resolv.conf The solution is to make sure that the DNS servers listed in /etc/resolv.conf is serving correctl.

If that doesn't fix try the following.

yum clean all
Cleaning up Everything
25 headers removed
24 packages removed
12 metadata files removed
0 cache files removed
4 cache files removed

yum + Loaded plugins: fastestmirror

Issue: following error occurred while running yum
===============================

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Traceback (most recent call last):
File “/usr/bin/yum”, line 29, in ?
yummain.user_main(sys.argv[1:], exit_code=True)
File “/usr/share/yum-cli/yummain.py”, line 309, in user_main
errcode = main(args)
self._poll_mirrors()
File “/usr/lib/yum-plugins/fastestmirror.py”, line 376, in _poll_mirrors
pollThread.start()
File “/usr/lib/python2.4/threading.py”, line 416, in start
_start_new_thread(self.__bootstrap, ())
thread.error: can’t start new thread

Solution
======

vi /etc/yum/pluginconf.d/fastestmirror.conf

Code:

[main]
enabled=1

change it to 0

enabled=0